# $Revision: 1.4 $, $Date: 2004/10/04 23:50:59 $
%define		_name REV-plugins
Summary:	Stereo reverb LADSPA plugin
Summary(pl):	Wtyczka LADSPA - stereofoniczny pogos
Name:		ladspa-rev-plugins
Version:	0.2.1
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://users.skynet.be/solaris/linuxaudio/downloads/%{_name}-%{version}.tar.bz2
# Source0-md5:	faf912441ebb992c1bcd4959e3bf80e2
Patch0:		%{name}-misc_fixes.patch
URL:		http://users.skynet.be/solaris/linuxaudio/
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This LADSPA plugin contains a digital implementation of the stereo
reverb effect.

%description -l pl
Ta wtyczka LADSPA zawiera cyfrow implementacj stereofonicznego
efektu pogosu.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CPPFLAGS="-I. -fPIC -D_REENTRANT -Wall %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ladspa/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladspa-rev-plugins.spec,v $
Revision 1.4  2004/10/04 23:50:59  havner
- fix build on amd64

Revision 1.3  2004/03/24 00:13:43  freetz
- url updates

Revision 1.2  2004/01/09 21:45:48  qboosh
- pass CXX, removed duplicated "install"

Revision 1.1  2004/01/09 12:03:31  freetz
- initial PLD release
